%
% anyremote configuration file for kscd management.
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no

GuiAppName=Kscd
GuiAppBinary=kscd
GuiAppRun=echo 'A=`dcop 2> /dev/null|grep kscd`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi' | bash -f -s
GuiAppIcon=kscd.png
GuiAppType=Application
GuiAppProtocols=AT
GuiAppDesc=KsCD is a small, fast, CDDB enabled audio CD player for UNIX platforms. This configuration file is for KsCD/KDE3.
GuiAppVersion=echo 'V=`kscd -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" == "x3" ]; then echo OK; else echo NOK; fi'|bash -f -s

[Protocol]=AT

Answer=Make(disconnect);
Cancel=Exec(dcop kscd MainApplication-Interface quit);

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Make(var,Device,by_value,/dev/rfcomm0);\
	Exec(echo 'V=`kscd -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`;if [ "x$V" == "x4" ]; then $(CfgDir)/Utils/message.sh "ERROR: this configuration file is for KDE3"; fi'|bash -f -s);\

(Connect)=Make(var,kscd_volume,by_value,-1);Exec(kscd)

1=Exec(dcop kscd CDPlayer volumeDown)
2=Make(var,kscd_volume,echo 'if [ "x$(kscd_volume)" == "x-1" ]; then dcop kscd CDPlayer getVolume; dcop kscd CDPlayer setVolume 0; else dcop kscd CDPlayer setVolume $(kscd_volume);echo "-1"; fi;'|bash -f -s)
3=Exec(dcop kscd CDPlayer volumeUp)

4=Exec(echo 'POS=`dcop kscd CDPlayer currentPosition`;NEWPOS=`expr $POS - 5000`;dcop kscd CDPlayer jumpTo $NEWPOS' | bash -f -s)
5=Exec(dcop kscd CDPlayer play)
6=Exec(echo 'POS=`dcop kscd CDPlayer currentPosition`;NEWPOS=`expr $POS + 5000`;dcop kscd CDPlayer jumpTo $NEWPOS' | bash -f -s)

7=Exec(dcop kscd CDPlayer previous)
8=Exec(dcop kscd CDPlayer stop)
9=Exec(dcop kscd CDPlayer next)

* *=Exec(echo 'F="$HOME/.anyRemote/anyrem.hlp";echo "1 - Vol-  2 - Mute  3 - Vol+"> $F;echo "2 - Rew   5 - Play  6 - FF">> $F;echo "7 - Prew  8 - Stop  9 - Next">> $F;echo "** Help   0         # - Quit">> $F;echo "*# Run/Quit">> $F;kdialog -passivepopup "`cat $F`" 7' |bash -f -s)
* #=Exec(echo 'P=`dcop | grep kscd`; if [ "x$P" == "x" ]; then kscd& dcop kscd CDPlayer play; else dcop kscd MainApplication-Interface quit; fi' |bash -f -s)
#=Exec(dcop kscd MainApplication-Interface quit)  
[End]
